Bug 855367 - Could the augeas lenses be packaged separately from any binaries
Could the augeas lenses be packaged separately from any binaries
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: augeas (Show other bugs)
6.3
All Linux
unspecified Severity low
: rc
: ---
Assigned To: David Lutterkort
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 10:17 EDT by jcpunk
Modified: 2013-04-30 19:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 14:04:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jcpunk 2012-09-07 10:17:46 EDT
Description of problem:
The lenses in augeas a currently in the augeas-libs rpm.  This rpm contains a few binary objects.  I would very much like to update the lenses on some of my systems, but don't want to create problems by changing out binaries or by overwriteing the files that rpm expects to find (resulting in rpm verify being upset).  With the lenses just being text files rebuilding a number of binaries seems like extra effort for little gain.

The lenses are moving somewhat quickly in the augeas source tree, fixing bugs and addressing issues.  There is no way a stable distribution like RHEL should try and keep up with the speed of these changes.  However, I would like to on my system.  It would be nice if the lense files themselves were packaged separately so that I could make my own rpm containing the updated lenses without having to rebuild the entire application.

In particular I wish to update my local lenses for krb5.conf, /etc/hosts.[allow|deny], sshd_config, and logrotate.

The augeas-libs package could depend on augeas-lenses which would keep any changes in user expirence minimized while giving me an elegant way of making changes that I can back out simply (yum downgrade augeas-lenses).


Version-Release number of selected component (if applicable):augeas-0.9.0-4.el6


How reproducible: always


Steps to Reproduce:
1. find a bug in a augeas lense
2. find a fix in the augeas source tree
3. wish for a clean way to update the lense locally
  
Actual results:
break rpm verify or rebuild augeas myself

Expected results:
a way to just update the lense

Additional info:
Comment 2 David Lutterkort 2013-01-08 14:04:07 EST
By default, augeas looks for lenses in /usr/share/augeas/lenses and /usr/share/augeas/lenses/dist (in that order) The latter is for the lenses that ship with Augeas; you can put your lenses into the former directory to override lenses that come with the augeas RPM.

You can also add more directories to the load path for lenses (which are searched before the two default directories) by setting the environment variable AUGEAS_LENS_LIB

Note You need to log in before you can comment on or make changes to this bug.